IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'CP_Clientes_Link_Limpiar') 
                   and OBJECTPROPERTY(id, N'IsProcedure') = 1 )
BEGIN
    DROP PROCEDURE CP_Clientes_Link_Limpiar
END
GO

CREATE PROCEDURE dbo.CP_Clientes_Link_Limpiar @pCantidad_Dias_A_Borrar_Anteriores	SMALLINT
AS 
SET NOCOUNT ON

-------------------------------------------------------------------------------------------------------------------------------------
/*
VERSIONES:
02/08/2022 Creación de función.
*/
-------------------------------------------------------------------------------------------------------------------------------------

DELETE FROM Clientes_Links
WHERE
Fecha_Hasta < GETDATE()
AND Fecha_Gen < DATEADD(DAY, (-1) * @pCantidad_Dias_A_Borrar_Anteriores, GETDATE())

/*
EXEC CP_Clientes_Link_Limpiar 30
*/
